VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions
audiobuffers.h File Reference
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include <type_traits>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Functions
template<SymbolicSampleSizes SampleSize, typename std::enable_if< SampleSize==SymbolicSampleSizes::kSample32 >::type * = nullptr>
Sample32 ** | getChannelBuffers (AudioBusBuffers &buffer)
| get channel buffers from audio bus buffers 32 bit variant
template<SymbolicSampleSizes SampleSize, typename std::enable_if< SampleSize==SymbolicSampleSizes::kSample64 >::type * = nullptr>
Sample64 ** | getChannelBuffers (AudioBusBuffers &buffer)
| get channel buffers from audio bus buffers 64 bit variant

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.